import { jsx } from "react/jsx-runtime";
import { TokenMM as TokenMM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMM = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MM", "data-name": "TokenMM", ...props, children: /* @__PURE__ */ jsx(TokenMM$1, { variant }) });
  }
);
TokenMM.displayName = "TokenMM";
Object.assign(TokenMM, { isGdsIcon: true });
export {
  TokenMM
};
